Ubuntu

"Unsupported hardware" watermark appears when FGLRX is installed on 13.04

Reported by James Page on 2013-01-11
378
This bug affects 83 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Unassigned
fglrx-installer-updates (Ubuntu)
Undecided
Unassigned

Bug Description

The driver included with the package fglrx in 13.04 has an issue with unsupported hardware. The newer driver that ships with fglrx-updates seems to have corrected this issue. Please install the fglrx-updates package if possible. If you must stick with the older fglrx package, you may use one of the below workarounds. But be aware, you will not be able to use tools such as aticonfig.

[Older Description]-------------------------------------------------------------------
On the latest daily release of Raring, a watermark/overlay shows in the bottom-right corner of the screen when fglrx or fglrx-updates is installed. It reads "Unsupported hardware" and has the AMD logo above it on top of a semi-transparent black background.

This watermark is essentially equivalent to the "Testing use only" that appears when the proprietary beta drivers from AMD's website are installed. Therefore, the same workaround applies:

[Workaround] (USE AT YOUR OWN RISK!)
Step 1) Create and save shell script with the following contents:
#!/bin/sh
DRIVER=/usr/lib/fglrx/xorg/modules/drivers/fglrx_drv.so
for x in $(objdump -d $DRIVER|awk '/call/&&/EnableLogo/{print "\\x"$2"\\x"$3"\\x"$4"\\x"$5"\\x"$6}'); do
sed -i "s/$x/\x90\x90\x90\x90\x90/g" $DRIVER
done

Step 2) Make the script executable
Step 3) Run the script
Step 4) Log out and log back in

----

If the above workaround doesn't work for you, an alternative is to try the version of /etc/ati/control from the fglrx that shipped with Quantal.

Step 1) Save a backup of the old control file, just in case -- sudo cp /etc/ati/control /etc/ati/control.watermark

Step 2) Download the Quantal fglrx source package from https://launchpad.net/ubuntu/quantal/+source/fglrx-installer/2:9.000-0ubuntu3/+files/fglrx-installer_9.000.orig.tar.gz -- you will NOT need to build or install it.

Step 3) Open that tar file with Archive Manager. Find etc/ati/control and extract it.

Step 4) Copy the freshly extracted version of control to /etc/ati/control then restart your system.

[Original Description]-------------------------------------------------------------------
After upgrading to raring and installing the latest fglrx package from the archive I get a AMD branded overlay in the bottom RHS of the screen with the message 'Unsupported hardware'.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: fglrx-updates 2:9.010-0ubuntu1
ProcVersionSignature: Ubuntu 3.7.0-7.15-generic 3.7.0
Uname: Linux 3.7.0-7-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.8-0ubuntu1
Architecture: amd64
Date: Fri Jan 11 13:27:06 2013
MarkForUpload: True
SourcePackage: fglrx-installer-updates
UpgradeStatus: Upgraded to raring on 2013-01-07 (3 days ago)

James Page (james-page) wrote :
James Page (james-page) wrote :

fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Mobility Radeon HD 5000 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

n1gke (n1gke) wrote :

user@user-MS-7309:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 5450
OpenGL version string: 4.2.11986 Compatibility Profile Context
---------------------------------------------------------------------------------------
Linux user-MS-7309 3.8.0-0-generic #3-Ubuntu SMP Fri Jan 11 17:24:16 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
----------------------------------------------------------------------------------------------------------------------------------------------------------------
AMD Athlon(tm) 7550 Dual-Core Processor
Flags:
fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs hw_pstate npt lbrv svm_lock

n1gke (n1gke) wrote :

I used Synaptic and removed the FGLRX. That left the drivers for the ATI Cedar.
A cold boot restart and the overlay error message at the bottom right of the
screen was gone.
Everything on the desktop seems to be working just fine.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed
James Cain (ronnoc) wrote :

ATI Cedar? What is that?

Paul Konecny (paul-konecny) wrote :

Same problem with AMD Cayman XT (HD 6970)

Kernel: Linux polluX6 3.8.0-0-generic #4-Ubuntu SMP Tue Jan 15 20:42:19 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6900 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

:~$ sudo apt-cache show fglrx-updates
Package: fglrx-updates
Priority: extra
Section: restricted/misc
Installed-Size: 239337
Maintainer: Ubuntu Core Developers <email address hidden>
Architecture: amd64
Source: fglrx-installer-updates
Version: 2:9.010-0ubuntu1

Cheers and Thanks in advance !

P.S.:
The AMD Cedar Chipset is used in the HD5400 Series

"Codenamed Cedar,[13] the Radeon HD 5400 series was announced on February 4, 2010, starting with the HD 5450. The Radeon HD 5450 has 80 stream cores, a core clock of 650 MHz, and 800 MHz DDR2 or DDR3 memory. The 5400 series is designed to assume a low-profile card size." - Wikipedia

Robert Charlton (rectec) on 2013-01-28
summary: - unsupported hardware overlay after upgrade to raring
+ "Unsupported hardware" watermark appears when FGLRX is installed on
+ 13.04
Robert Charlton (rectec) wrote :

Improved the title and description, added workaround.

description: updated
Robert Charlton (rectec) wrote :

Confirmed on 6670/turks. I'm positive this bug affects most if not all fglrx users. Good luck with the fix. Tell me if the workaround works for you guys or not.

robert@CPCUbuntu:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6670
OpenGL version string: 4.2.11986 Compatibility Profile Context

Robert Charlton (rectec) wrote :

Also, aticonfig reports unsupported hardware as well:
robert@CPCUbuntu:~$ aticonfig
aticonfig: No supported adapters detected

Perhaps a new bug report should be filed for this problem?

description: updated

Confirmed on HD 5000 series.

$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Mobility Radeon HD 5000 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Michael Egger (michael-egger) wrote :

Confirmed on HD 7800 Series (using fglrx-updates)

$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 7800 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Marques Johansson (marques) wrote :

Same overlay on this hardware.
$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6700 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

fglrx-updates 2:9.010-0ubuntu5

Thomas M Steenholdt (tmus) wrote :

Comfirmed on HD 7400M Series

$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 7400M Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Oliver Marks (oly) wrote :

confirmed on Radeon HD 5000 Series, dell laptop

display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Mobility Radeon HD 5000 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Confirmed on Radeon HD 6500 Series, Asus laptop

display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6520G
OpenGL version string: 4.2.11986 Compatibility Profile Context

This is most likely due to bug #1073062, fglrx can't build a module.

"update-initramfs: Generating /boot/initrd.img-3.7.0-030700rc2-generic
modprobe: ../tools/modprobe.c:550: print_action: Assertion `kmod_module_get_initstate(m) == KMOD_MODULE_BUILTIN' failed.
Aborted (core dumped)"

Cherry Mendoza (cerisesorbet) wrote :

The shell script in the workaround failed here. The awk command produced a \x5b that sed choked on. So, I tweaked the awk script to bracket its output as sed character classes; that let the script finish, but I wound up with a corrupt fglrx_drv.so and had to drop into recovery mode, uninstall fglrx, then boot in to low graphics mode and reinstall it.

However, the thread in http://ubuntuforums.org/archive/index.php/t-2074962.html led me to a workaround that did succeed. I grabbed the /etc/ati/control from a 12.10 install that was running on the same system, copied that to the 13.04 system, and the watermark is gone.

jeteir (jeteir) wrote :

Definetely, Ilari.

Also, confirmed on HD 7700 series:

$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 7700 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

description: updated
jeteir (jeteir) wrote :

Same story for:
$ uname -r
3.8.0-12-generic

Proposed workaround works, indeed I don't think this is the "Watermark" bug at all. Besides, the origin of this bug is described here: http://wiki.cchtml.com/index.php/Amd_watermark and gives much easier solution.

P.S. Still, the key error persists:
# update-initramfs -u
update-initramfs: Generating /boot/initrd.img-3.8.0-12-generic
modprobe: ../tools/modprobe.c:550: print_action: Assertion `kmod_module_get_initstate(m) == KMOD_MODULE_BUILTIN' failed.
Aborted (core dumped)

So I think this particular bug should be marked as related to (or merged with) the #1073062 bug. Moreover, it affects NVIDIA, AMD adapters and proprietary driver for Broadcom Wi-Fi.

Senegalo (senegalo) wrote :

Confirmed on HD 5730
$ uname -r
3.8.0-17-generic

Martin Vysny (vyzivus) wrote :

Confirmed on my AMD Radeon HD 7700 Series on x86-64.

vitium (kvarley) wrote :

Confirmed on AMD (Sapphire) Radeon HD 7870

3.8.0-16-generic

Confirmed on AMD Radeon HD 6470M

3.8.0-18-generic

Andres Urioste (andiuri) wrote :

Confirmed on AMD Radeon HD 6620G

kernel : 3.8.0-17-generic AMD64

Dean Smith (deansmithok) wrote :

confirmed : AMD Radeon HD 6800 Series

Now fixed for Advanced Micro Devices [AMD] nee ATI Whistler [Radeon HD 6600M/6700M/7600M Series] (fresh install)

fglrx version 2:9.010-0ubuntu3
kernel version linux-image-3.8.0-19-generic AMD64

Michael Härtl (h-mh) wrote :

Also affected:

OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 5670
OpenGL version string: 4.2.11986 Compatibility Profile Context

James83 (giacomopennella) wrote :

Here again,

~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Mobility Radeon HD 5000 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Bryan Godbolt (bryan-godbolt) wrote :

I also have this watermark. fglrx Version: 2:9.010-0ubuntu3

$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Mobility Radeon HD 5000 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Xowenx1992 (xowenx1992) wrote :

confirmed

$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Mobility Radeon HD 5000 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Ingram (ingram87) wrote :

I'm using the full release of 13.04 and I installed the fglrx package (not fglrx-updates). This bug effects me also. I'm using the following:
ATI BeaverCreek [Radeon HD 6520G]

Lukasz Plotnicki (l-plotnicki) wrote :

confirmed
~ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Mobility Radeon HD 5000 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Andy Meier (andy-meier) wrote :

I upgraded from 12.10 to 13.04 and had the unsupported hardware watermark issue with a Radeon 6770 plus fan speed control for the card did not work.

The fix in the bug description did not work for me but instead corrupted the fglrx driver. After running the script, X froze and I could not kill it and could not switch to a terminal. Subsequent reboots went straight to a crashed state. I made a backup of the .so file so was able to restore a working system by rebooting into recovery mode and restoring the backup.

I then tried to uninstall and reinstall fglrx and that did not get rid of the issues.

Finally, I tried uninstalling the Ubuntu version of fglrx and installing version 13.4 from AMD's website and thad did fix both the image overlay and the fan speed control issue.

AMD Driver:
http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx

The Install Instructions I Followed:
https://help.ubuntu.com/community/BinaryDriverHowto/ATI

Notes about the 13.4 install process.
 - "Install driver" worked.
 - "Make Package" option did not work (missing dh).
 - No need to run amdcccle -- the old xorg.conf worked fine.

terreptik (terreptik) wrote :

confirmed for both fglrx and fglrx-updates packages
[AMD] nee ATI Turks GL [FirePro V3900]
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI FirePro V (FireGL V) Graphics Adapter
OpenGL version string: 4.2.12002 Compatibility Profile Context FireGL 9.003.3

rashxt (rashxt) wrote :

Confirmed on Radeon HD6570

Confirmed on HD6570. Workaround caused ubuntu to hang on boot. What helped was: http://wiki.cchtml.com/index.php/Ubuntu_Maverick_Installation_Guide#Unsupported_Hardware_Watermark

HD 5430 here.

Robert Charlton (rectec) on 2013-05-01
description: updated
floid (jkanowitz) wrote :

Also seen in the release with:

01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Caicos [Radeon HD 6450] (prog-if 00 [VGA controller])
 Subsystem: Hightech Information System Ltd. Device 2311

(ID 1787:2311. Believe it's a Powercolor-branded card.)

Switching to fglrx-updates under Software & Updates -> Additional Drivers is the quick fix. [Who knew it was hiding there? At least it's a one-click fix.]

Beyond the obvious, this will be taking a few seconds off a lot of lifetimes because there's a black-screen delay on first boot after an upgrade where the watermark is the only thing visible. Probably under 30 seconds while misc. components of Unity and the rest of the desktop prep themselves, but enough time to wonder if that's *all* the driver's going to let you see.

Beowulf (s-highlander) wrote :

I have the same issue with [AMD] nee ATI Turks PRO [Radeon HD 6570]

Vivek Agarwal (vivekagr) wrote :

Confirmed on my Radeon HD 7870.

~ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 7800 Series
OpenGL version string: 4.2.11986 Compatibility Profile Context

Elthommo (elthommo) wrote :

confirmed on HD 6520G
$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 6520G
OpenGL version string: 4.2.11986 Compatibility Profile Context

Ales (w-ales) wrote :

ATI Mobility Radeon HD 5400 Series, Kubuntu 13.04, 3.8.0-19-generic.

Updating drivers (apt-get install fglrx-updates) worked for me. The watermark is gone.

Lukasz Plotnicki (l-plotnicki) wrote :

The updated of the drivers worked for me also! Ales (w-ales) thx for the tip!

Michael Härtl (h-mh) wrote :

I can confirm that installing the "fglrx-updates" fixed it for me, too.

Robert Charlton (rectec) wrote :

The newer driver included in fglrx-updates seems to have corrected this issue. At least 4 people (including myself) have confirmed that this issue has been fixed with fglrx-updates. I will be updating the bug report accordingly.

Changed in fglrx-installer-updates (Ubuntu):
status: Confirmed → Fix Released
Robert Charlton (rectec) on 2013-05-14
description: updated
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Fix Committed
Robert Charlton (rectec) wrote :

And let's just call fglrx "fix committed".

Kurt Kellner (kellner-kurt) wrote :

I have installed fglrx-updates and I still have the "Unsupported hardware" watermark.
According to synaptic the fglrx-updates version is: 2:9.012

I'm using Linux Mint 15 (upgraded from 14).

fglrxinfo outputs:

display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon (TM) HD 8500M/8700M
OpenGL version string: 4.2.12002 Compatibility Profile Context 12.104

I have an HP Sleekbook with dual graphics card (Radeon HD 7600G + Radeon HD 8500M) and an A8 processor.

I have tested the 2nd workaround copying the "control" file from the previous driver (12.X, can't remember correctly which one it was).

Any other suggestions? Or updates?

Robert Charlton (rectec) wrote :

I have the same fglrx-updates version. All the output of fglrxinfo is the same as yours except for the renderer string and the compatibility profile context (mine is 9.012).

If the second workaround didn't work, I would first uninstall the proprietary driver and used the FOSS driver. If the FOSS driver doesn't work (doesn't work for me, either), then try the first workaround. In the rare event that something goes wrong, sudo apt-get purge fglrx-updates and reinstall.

Kurt Kellner (kellner-kurt) wrote :

I tried out several things which I'll try to summarize:

Using the package fglrx-updates my "fglrxinfo" output was as follows:

display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon (TM) HD 8500M/8700M
OpenGL version string: 4.2.12002 Compatibility Profile Context 12.104

I ran a glxgears test and average FPS was ~500.00

I then re-installed the FOSS drivers doing a full purge as described here: http://wiki.cchtml.com/index.php/Ubuntu_Raring_Installation_Guide#Removing_Catalyst.2Ffglrx

Booted my system back up and ran the same glxgears and FPS was around ~50.00. I believe this is to be expected since proprietary drivers should run better.

I re-installed "fglrx drivers" but this time I did NOT install "fglrx-updates" package. My fglrxinfo output was:

display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon (TM) HD 8500M/8700M
OpenGL version string: 4.2.12217 Compatibility Profile Context 12.104

(NOTICE how the OpenGL version string is now 4.2.12217 and not 4.2.12002 as in the "fglrx-updates" package)

I ran another glxgears benchmark and oh surprise my FPS climed all the way up to ~1000.00.

I basically installed the fglrx drivers as per these instructions: http://wiki.cchtml.com/index.php/Ubuntu_Raring_Installation_Guide#Installing_Catalyst_Manually_.28from_AMD.2FATI.27s_site.29

Bottom line: FPS was a lot higher when NOT using fglrx-updates packages.

All in all, the watermark was still there. I tried workaround #1 and it worked!!! I'm now watermark-free and also my FPS are as high as they can be =]

P.S. I'm running Linux Mint 15 (upgraded from 14) on a HP Sleekbook with an A8 processor and dual graphics: Radeon HD 7600G + 8500M

Kurt Kellner (kellner-kurt) wrote :

just noticed:

I didn't have hardware acceleration before running the workaround #1. Now Chromium reports WebGL is activated with Hardware Acceleration =]

All in all a good day =]

Robert Charlton (rectec) wrote :

Glad to hear that, Kurt. Hopefully your problem was just specific to your setup. If not, then this complicates things.
The newer catalyst driver probably has a performance bug. Could be specific to your card, though. I'm getting almost 2000 FPS on glxgears, which is fine by me. (Although I've never tested it with the older driver.)

Staszek (s-aleksinski) wrote :

Have this problem with fglrx, with fglrx-update I don't.
HD 5000 series

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers